Bug 64867 - Perl SRPMS modules doesnt rebuild
Perl SRPMS modules doesnt rebuild
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
7.3
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-13 15:33 EDT by Petr Krištof
Modified: 2007-03-26 23:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-15 08:31:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Krištof 2002-05-13 15:33:44 EDT
Description of Problem:

After upgrade from 7.2 to 7.3 Im trying to rebuild some
perl modules from 7.3 and it fails every time.
For example perl-TimeDate-1.10

How Reproducible:
everytime


Actual Results:

[root@mr SPECS]# rpm -ba TimeDate.spec
Executing(%prep): /bin/sh -e /tmp/rpm-tmp.62086
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd /usr/src/redhat/BUILD
+ rm -rf TimeDate-1.10
+ /bin/gzip -dc /usr/src/redhat/SOURCES/TimeDate-1.10.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd TimeDate-1.10
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chown -Rhf root .
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chgrp -Rhf root .
+ /bin/chmod -Rf a+rX,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /tmp/rpm-tmp.62086
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd TimeDate-1.10
+ CFLAGS=-O2 -march=i386 -mcpu=i686
+ perl Makefile.PL
Can't locate ExtUtils/MakeMaker.pm in @INC (@INC contains:
/usr/lib/perl5/5.00503/i386-linux /usr/lib/perl5/5.00503
/usr/lib/perl5/site_perl/5.005/i386-linux /usr/lib/perl5/site_perl/5.005 .) at
Makefile.PL line 13.
BEGIN failed--compilation aborted at Makefile.PL line 13.
error: Bad exit status from /tmp/rpm-tmp.62086 (%build)


RPM build errors:
    Bad exit status from /tmp/rpm-tmp.62086 (%build)
[root@mr SPECS]#




Expected Results:

New binary package.

Additional Information:
Comment 1 Chip Turner 2002-05-13 16:28:47 EDT
Something is wrong with your perl install.  Please send the output of:

perl -V

and

ls -l /disk1/usr/lib/perl5/*/ExtUtils/MakeMaker.pm
Comment 2 Petr Krištof 2002-05-15 08:31:08 EDT
Accidentaly, some of one previous perl binaries installed
on machine in past alive the upgrade proccess and was in $PATH
in the beginning.

After removing it, everything goes well.

Thank you for help and sorry for wasting you time.


Regards

  Petr

Note You need to log in before you can comment on or make changes to this bug.